/*
 * @Date: 2025-10-31 11:06:15
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-03 15:51:28
 */
import request from '@/utilsRc/request'

// 登录方法
export function login(data) {
  return request({
    method: 'get',
    url: '/not/login/person/zkrLogin',
    params: data,
  })
}
export function smsLogin(data) {
  return request({
    method: 'post',
    url: '/personnel/personBaseInfo/loginGrAndQy',
    data,
    headers: {
      isToken: false
    }
  })
}
export function wechatLogin(data) {
  return request({
    method: 'post',
    url: '/personnel/personBaseInfo/loginGrAndQy',
    data,
    headers: {
      isToken: false
    }
  })
}
export function register(data) {
  return request({
    method: 'post',
    url: '/personnel/personBaseInfo/loginGrAndQy',
    data,
    headers: {
      isToken: false
    }
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

